## 2.3.2 (2021-05-09)

  • Total issues resolved: 0
  • Total pull requests resolved: 2
  • Total contributors: 2

* 1331: Revert deprecation when "override_url" is not set thanks to @nicolas-grekas
* 1327: Make DoctrineBundle compatible with ORM 2.9 thanks to @beberlei

## 2.3.1 (2021-04-05)

  • Total issues resolved: 2
  • Total pull requests resolved: 3
  • Total contributors: 4

Bug

* 1320: "Explain" with DBAL 2.13 and pdo_sqlsrv driver fails thanks to @ostrolucky
* 1316: Fix #1314, shard manager class option cannot be overridden thanks to @cyberemissary
* 1306: Remove call to deprecated setCacheDriver() method thanks to @nicolas-grekas

Bug,Needs Tests

* 1309: Disable schema validation no matter the profiling configuration thanks to @bastnic

## 2.3.0 (2021-03-19)

Feature release (minor)

  • Total issues resolved: 0
  • Total pull requests resolved: 7
  • Total contributors: 6

Feature

* 1296: Autowire connections by argument type and name thanks to @HypeMC
* 1290: add ability to override url with dsn params thanks to @jrushlow
* 1284: Enable @CustomIdGenerator() to reference services tagged as "doctrine.id_generator" thanks to @nicolas-grekas
* 1286: #1176 Deprecate (Blacklist|WellKnown) schema filters thanks to @ostrolucky

Improvement

* 1283: Propagate template from EntityRepository thanks to @VincentLanglet
* 1260: Fix bugs in PhpArrayAdapter introduction thanks to @ossinkine
* 1259: Autowire entity managers by argument type and name thanks to @HypeMC


## 2.2.4 (2021-03-16)

  • Total issues resolved: 1
  • Total pull requests resolved: 2
  • Total contributors: 3

CI

* 1287: Use ramsey/composer-install thanks to @greg0ire
* 1285: #1282 Fix DBAL < 2.11 BC layer in doctrine:query:sql thanks to @ostrolucky

Bug,Ready to work on

* 1282: doctrine:query:sql broken after update from 2.2.2 to 2.2.3 thanks to @bicpi

## 2.2.3 (2021-01-29)

  • Total issues resolved: 1
  • Total pull requests resolved: 1
  • Total contributors: 2

Improvement

* 1273: Run all tests on PHP 8 thanks to @alcaeus

Bug

* 1271: Missing argument for doctrine.query_sql_command definition thanks to @dFayet

## 2.2.2 (2020-12-05)

  • Total issues resolved: 5
  • Total pull requests resolved: 2
  • Total contributors: 4

* 1268: Explain query results in "An error occurred while loading the query explanation." thanks to @egonolieux
* 1267: Fix profiler explain error in SQLServerPlatform, OtherPlatform thanks to @RealJTG

Bug

* 1263: Fixes for compatibility with DBAL 3 thanks to @greg0ire

Ready to work on

* 1250: DoctrineDataCollector errors when second level cache logging is disabled thanks to @evertharmeling

2.2.1 (2020-11-10)

  • Total issues resolved: 1
  • Total pull requests resolved: 1
  • Total contributors: 1

* 1253: Make master connections respect driverOptions thanks to @petewalker

## 2.2.0 (2020-11-07)

  • Total issues resolved: 0
  • Total pull requests resolved: 7
  • Total contributors: 6

* 1243: Add navigator.clipboard condition thanks to @Chi-teck
* 1237: #1235 Resolve DBAL 2.11 master/slave deprecations thanks to @ostrolucky
* 1231: #1179 Deprecate doctrine:query:sql command thanks to @ostrolucky
* 1211: #1210: add different statements metric to the Web Profiler Toolbar thanks to @lomby92
* 1207: Add symfony uuid to a list of custom types as default uuid/ulid type thanks to @gennadigennadigennadi
* 1196: Add PhpArrayAdapter to cache metadata thanks to @ossinkine
* 1184: Deprecate ImportDoctrineCommand thanks to @seferov

## 2.1.2 (2020-08-25)

  • Total issues resolved: 0
  • Total pull requests resolved: 1
  • Total contributors: 1

Bug

* 1202: fix BC break for removed service alias thanks to @dmaicher

## 2.1.1 (2020-08-25)

  • Total issues resolved: 0
  • Total pull requests resolved: 3
  • Total contributors: 3

* 1181: Allow doctrine/persistence 2.x thanks to @fruitwasp
* 1177: [Bug] Run CacheSchemaSubscriberPass after CacheCollectorPass thanks to @sstok

CI

* 1174: Skip ORM tests on php 8 thanks to @derrabus

## 2.1.0 (2020-05-25)

This release adds support for new features in Symfony 5.1. It includes all bug fixes from the latest [2.0.10](https://github.com/doctrine/DoctrineBundle/releases/tag/2.0.10), which will no longer be supported.

  • Total issues resolved: 3
  • Total pull requests resolved: 18
  • Total contributors: 17

Improvement

* 1171: Replace unmaintained SQL formatter dependency thanks to @greg0ire and @gmponos
* 1167: Preload Autoloader class when the ORM is used thanks to @fancyweb
* 1159: Fix compat with Messenger 5.1 thanks to @nicolas-grekas
* 1153: fix symfony/config deprecation thanks to @jrushlow
* 1132: Commands shortcuts thanks to @Guikingone
* 1131: Updated service definition to support Messenger 5.1 thanks to @Nyholm
* 1128: The container is always set thanks to @rosier
* 1126: Remove last remaining doctrine cache related code thanks to @ostrolucky
* 1119: Added EventSubscriberInterface marker interface to support autoconfiguration thanks to @lyrixx and @backbone87
* 1090: Make container in costructor of ContainerRepositoryFactory mandatory thanks to @W0rma
* 1072: DropDatabaseDoctrineCommand shortcuts thanks to @Guikingone
* 1163: Add support for new MessengerTransportDoctrineSchemaSubscriber thanks to @weaverryan
* 1154: Fix typos thanks to @pgrimaud

Documentation

* 1161: Update Entity Listener Docs to New Service Style thanks to @huebs
* 1084: Deprecate .class parameters thanks to @ostrolucky

Bug

* 1144: Improve replaceQueryParameters function for empty array thanks to @VincentLanglet

Feature

* 1135: Add priority support for tagged entity listeners thanks to @ostrolucky
* 1120: Add a feature switch to trigger SchemaValidator in Collector thanks to @bastnic
* 1056: [WebProfiler] Add copy button on runnable and formatted queries thanks to @fancyweb

## 2.0.7 (2020-01-18)

  • Total issues resolved: 0
  • Total pull requests resolved: 2
  • Total contributors: 1

Improvement

* 1122: Add type declarations where backwards compatible thanks to @greg0ire
* 1121: Add void return type declaration to tests thanks to @greg0ire

## 2.0.6 (2019-12-20)

## 1.12.6 (2019-12-20)

Bug

* 1108: Fix resetting non-lazy managers thanks to @alcaeus

## 2.0.5 (2019-12-19)

## 2.0.4 (2019-12-19)

Bug

* 1103: Fix error when resetting manager registry thanks to @alcaeus

## 2.0.3 (2019-12-19)

Bug

* 1087: Fix creating wrapped connection twice thanks to @nicolas-grekas

## 1.12.5 (2019-12-19)

Bug

* 1106: Skip resetting managers when proxy-manager is not installed thanks to @nicolas-grekas

## 1.12.4 (2019-12-19)

Bug

* 1103: Fix error when resetting manager registry thanks to @alcaeus

## 1.12.3 (2019-12-19)

Bug

* 1100: Fix well known schema filter blacklist tables thanks to @bendavies
* 1099: Make manager registry resettable thanks to @alcaeus and @nicolas-grekas
* 1085: Allow non-scalar DBAL options thanks to @ostrolucky and @smurfy

Improvement

* 1095: Fix doctrine deprecations thanks to @ostrolucky

## 2.0.2 (2019-11-27)

This release switches the default character set to UTF-8 for all platforms (utf8mb4 on MySQL. If you need a different character set, please configure it accordingly.

Improvement

* 1077: Default to real-utf8 when no charset is provided thanks to @alcaeus

## 2.0.1 (2019-11-27)

This release fixes a cache issue affecting dev and test environments. Due to the nature of the bug fix, this release may cause a performance regression in production environments. When upgrading to this release, please ensure that you have configured caches for your prod environment. You can see an example configuration in the Symfony Flex recipe.

Improvement

* 1070: Default to real-utf8 when no charset is provided thanks to @nicolas-grekas

Bug

* 1062: DoctrineTransportFactory.php bad implementation thanks to @onavascuez

## 1.12.2 (2019-11-27)

Bug

* 1079: Deprecated alias on DI Extension thanks to @maxhelias

## 1.12.1 (2019-11-27)

This release fixes a cache issue affecting dev and test environments. Due to the nature of the bug fix, this release may cause a performance regression in production environments. When upgrading to this release, please ensure that you have configured caches for your prod environment. You can see an example configuration in the Symfony Flex recipe.

Improvement

* 1075: Use symfony/flex to lock Symfony dependencies to the same version thanks to @alcaeus

Bug

* 1073: Fix: use array adapter cache pools by default thanks to @dmaicher

## 2.0.0 (2019-11-19)

There are no additional changes from Beta-1 in this release.

## 1.12.0 (2019-11-19)

Improvement

* 1059: Add number-aware underscore naming strategy thanks to @alcaeus and @garak
* 1058: Use XMLBundle in container tests thanks to @alcaeus
* 1055: [DoctrineDataCollector] Handle runnable flag thanks to @fancyweb
* 1054: Fix deprecation failures around doctrine:mapping:import command thanks to @ostrolucky
* 1052: Deprecated alias for common interfaces thanks to @maxhelias

## 2.0.0-Beta1 (2019-11-12)

Improvement

* 1050: Restore autowiring alias for ManagerRegistry thanks to @nicolas-grekas
* 1048: Remove aliases for common interfaces thanks to @alcaeus and @kimhemsoe
* 1047: Fix compat with Symfony 5 after a recent deprecation thanks to @nicolas-grekas
* 1041: [2.0] Remove deprecated entity generation command thanks to @alcaeus
* 1040: [2.0] Require latest version of doctrine/dbal thanks to @alcaeus
* 1032: Remove deprecated features thanks to @alcaeus
* 1029: [2.0] Drop support for DoctrineCacheBundle thanks to @alcaeus
* 1026: Remove deprecated functionality from DoctrineCommand thanks to @derrabus
* 1001: [2.0] No longer implement deprecated RegistryInterface thanks to @alcaeus
* 975: Allow Symfony 5.0 thanks to @nicolas-grekas

## 1.12.0-Beta1 (2019-11-12)

Improvement

* 1049: Add new service alias for manager registry thanks to @alcaeus
* 1042: Sort composer.json thanks to @simPod
* 1028: Load messenger services independently from ORM layer thanks to @alcaeus
* 1025: Require php-7.4-friendly version of Twig thanks to @greg0ire
* 1024: Update .travis.yml thanks to @Klizzy
* 1017: drop jobs for no longer supported Symfony versions thanks to @xabbuh
* 1016: ensure compatability with Symfony 4.4 thanks to @xabbuh
* 1015: Always register ImportDoctrineCommand thanks to @MatTheCat
* 1009: Fix parameter names to be consistent with Symfony method declaration thanks to @alcaeus
* 1008: Fix deprecations from Symfony 4.4 thanks to @alcaeus
* 1007: Use EXPLAIN QUERY PLAN on SQLite thanks to @MatTheCat
* 1000: Ignore deprecation for RegistryInterface thanks to @alcaeus
* 999: [EntityListenerPass] Handle ChildDefinition thanks to @fancyweb
* 998: Fix workaround for missing getProjectDir method thanks to @alcaeus
* 996: Fix build failures in combination with Symfony 4.4 and newer thanks to @alcaeus
* 989: [EntityListener] Fallback on __invoke method if it exists thanks to @fancyweb
* 981: Deprecate configuring caches through DoctrineCacheBundle thanks to @alcaeus

Feature

* 1043: Adding support for DoctrineClearEntityManagerWorkerSubscriber thanks to @weaverryan
* 1037: Filter out well-known Symfony tables from DBAL schema migrations thanks to @nicolas-grekas
* 980: Register DoctrineClearEntityManagerMiddleware as a service thanks to @Koc

Documentation

* 1039: Fix using kernel.root_dir in example thanks to @nicolas-grekas
* 1004: Used short array syntax thanks to @samnela

## 1.11.2 (2019-06-04)

Bug

* 979: Fix usage of wrong option in previously delegated commands thanks to @alcaeus and @EfeloPHP
* 970: Fix BC break with DoctrineType::reset() for all Symfony versions thanks to @javer

## 1.11.1 (2019-05-13)

Bug

* 968: Skip generating link for backtrace record with missing file, fixes #967 thanks to @ostrolucky and @bambucha4
* 966: Fix schema filters thanks to @bendavies
* 965: Wiring of the new PropertyAccessExtractor thanks to @dunglas
* 964: Fix non existent service when using symfony cache pools thanks to @deguif

## 1.11.0 (2019-05-10)

Documentation

* 963: Add upgrade files thanks to @alcaeus

Bug

* 950: abstain from registering incomplete services thanks to @xabbuh

Feature

* 956: ping/close connection middleware services thanks to @insidestyles
* 954: [Profiling] Add query backtrace data thanks to @ottaviano
* 948: Add symfony cache pool support thanks to @alcaeus
* 944: Wire messenger transport factory thanks to @alcaeus
* 939: Add support for validator auto-mapping thanks to @dunglas
* 938: Wire the validator metadata factory thanks to @dunglas
* 899: [Entity Listeners] always lazy load via ServiceLocator thanks to @dmaicher
* 722: Show trace for database queries thanks to @aik099

Improvement

* 962: Linkify backtrace callstack thanks to @ostrolucky
* 961: Test against Symfony 4.3 beta thanks to @alcaeus
* 955: Add new pool option to XSD thanks to @alcaeus
* 947: Deprecate type comment attribute from configuration thanks to @alcaeus
* 946: Add deprecation notices for container in DoctrineCommand thanks to @alcaeus
* 935: Removing deprecated call to Configuration::setSchemaAssetsFilter() + extendable thanks to @weaverryan
* 932: Updated doctrine/coding-standard to 6.0 thanks to @patrickjahns
* 929: Use namespaced Twig thanks to @rosier
* 928: Drop support for Symfony < 3.4 thanks to @rosier
* 924: remove useless phpdoc thanks to @OskarStark
* 923: fix php doc thanks to @OskarStark
* 922: remove OTV thanks to @OskarStark
* 905: CI: Use Ubuntu 16.04 thanks to @carusogabriel
* 892: Drop support for PHP < 7.1 and Symfony < 3.4 thanks to @alcaeus

## 1.10.3 (2019-05-10)

Improvement

* 943: [1.10] Don't fail build for the 3 known Twig deprecations thanks to @alcaeus
* 920: Test against PHP 7.4snapshot instead of nightly (8.0) thanks to @alcaeus

Bug

* 927: Fix php doc block thanks to @rosier

## 1.10.2 (2019-02-08)

Improvement

* 919: provide better error when doctrine/orm is missing thanks to @xabbuh
* 904: Remove superflous if in catch thanks to @davidmaes

Bug

* 917: Detect doctrine bridge version thanks to @greg0ire
* 915: Don't rewrite defaultTableOptions in sharded or master/slave connections thanks to @alcaeus and @Spawnrad

Documentation

* 913: Added some missing contents to an XML config sample thanks to @javiereguiluz
* 912: Updated the value of path option to match the official recipe thanks to @javiereguiluz
* 910: Made entity listener documentation less ambiguous thanks to @romaricdrigon
* 906: Update examples in entity listeners documentation thanks to @YetiCGN
* 457: Entity Listener documentation is incomplete thanks to @fredcooper

## 1.10.1 (2019-01-07)

Documentation

* 897: Format code samples properly thanks to @greg0ire
* 891: update broken link thanks to @vladyslavstartsev

Bug

* 896: Unset parameters for sharded databases as well thanks to @cinamo
* 882: Make travis green thanks to @chalasr
* 881: Fix exception when configuration is used without doctrine/orm nor doctrine/common thanks to @webnet-fr

## 1.10.0 (2018-11-30)

Symfony 4.2 support

* Fix explaining queries #802
* Fix small typo #826
* Refactor commands to avoid wrong output #827
* fix schema_filter example value #837
* Complete example #839
* [Messenger] Wire the transaction middleware factory when component is enabled #817
* Describe the actual command #852
* Upgrade to the maintained version of the coveralls SDK #854
* Typo in the CreateDatabaseDoctrineCommand InvalidArgumentException #862
* Support user defined repositories #857
* Move doctrine:query:sql command to dbal.xml #864
* Fix deprecation for symfony/config 4.2+ #853
* Apply Doctrine CS v5 #855
* Fix handling of lazy entity listeners #849
* Fix PHP 5.6+only syntax that breaks the Symfony CI #869
* Better error message when missing entity mapping #825
* Inject the EntityManager instead of the factory in DoctrineExtractor #832
* Remove legacy workarounds for Messenger integration #872
* Fix Symfony 4.2 deprecations, and Travis build #876
* Add PostgreSQL SSL options support #829
* Port commands for Symfony 4.2 (follows #876) #877
* Enhancement: Use SVG badge for Travis CI build status #871
* Add missing default_dbname configuration option #835

## 1.9.1 (2018-04-19)

Revert BC break with autowiring Aliases

This patch release fixes a BC break in 1.9.0. In 1.9.0, the autowiring aliases for ManagerRegistry and ObjectManager were removed. These have been added back in #805.

## 1.9.0 (2018-04-18)

Important Notes:

* This bumps the minimum doctrine/orm requirement from 2.3 to 2.4.
* ManagerRegistry and ObjectManager can no longer be used for autowiring. See below.

#740 [BC Change] Removal of ManagerRegistry and ObjectManager as autowirable aliases.
Use RegistryInterface or EntityManagerInterface instead, respectively. Thanks
to @alcaeus.

#767 Fixed a bug with doctrine:database:drop --if-exists when using the URL
option for the database connection information, like is done in Symfony 4.
Thanks to @Nijusan

#801 Fixed a bug that required the EntityManager class instead of the
EntityManagerInterface. Thanks to @Basster.

#791 Allowed the doctrine:mapping:import command to be used to import mapping
from a namespace (instead of only a bundle). Thanks to @weaverryan.

#790 Deprecated doctrine:generate:entities. Thanks to @weaverryan.

## 1.8.1 (2017-11-25)

Total issues resolved: 2

* 733: Fix var typo in DoctrineExtension thanks to @Pierstoval
* 735: Fix #730 compatibility with web profiler 4 thanks to @ostrolucky

## 1.8.0 (2017-11-24)

* 684: Register commands using PSR-4 based Service Discovery thanks to @GuilhemN
* 695: Add "kernel.reset" tag to "form.type.entity" thanks to @nicolas-grekas
* 710: Fix deprecation with Symfony 3.4 thanks to @nicolas-grekas
* 712: doctrine service is public thanks to @sroze
* 715: Fix Symfony 3.4 auto-registration deprecation thanks to @Jean-Beru

## 1.7.0 (2017-08-11)

* [Webprofiler] Improve SQL explain table display #681
* Enhance exception message #677
* Fix section title markup #680
* Improvement to IDE-friendliness when 'wrapper_class' option is used #663
* Bump master to 1.7.x #669
* Require PHP 7.1 #668

## 1.6.8 (2017-05-23)

* Fix twig requirement constraint #614
* Add return to ensure prodution settings comand to get exit status of command #615
* Testing on php nightly too #624
* Separating concerns #625
* Enable doctrine:database:import command without ORM installed #622
* Fix an issue were some commented type #623
* Add aliases to help autowiring #640
* Remove legacy code from DoctrineExtension #648
* Remove legacy mysql charset code from DI #651
* Fix exception "A non-numeric value encountered" in PHP 7.1 #653
* ie11: fix icon.svg width #661
* Allow Symfony 4.0 #662

## 1.6.7 (2017-01-16)

* 608: Don’t call addClassesToCompile on PHP 7.0, it’s deprecated thanks to @nicolas-grekas
* 607: Documentation updates thanks to @mhor

## 1.6.6 (2017-01-07)

* add twig/twig version 2.0

## 1.6.5 (2016-12-30)

## 1.6.4 (2016-08-10)

* Add --shard option to doctrine commands #456
* Add doctrine:database:import command to load SQL files #546
* Removed "Not quoting a scalar starting with the "%" indicator character #550
* Add apcu configuration option in docs #552
* Set doctrine.orm.entity_manager.abstract as lazy #559

## 1.6.3 (2016-04-21)

* Fix count break on queries list for profiler #518
* Adding the connectstring and instancename param of oracle #531
* Highlight query count box according to the db toolbar icon status #533
* Add global metrics on top of Doctrine page #534
* Register the PropertyInfo extractor from the Symfony Bridge #502

## 1.6.2 (2016-01-10)

* Fix creating sqlite database #483
* Fix ghost item in toolbar when no query #503
* Fix small typo #507
* Add support to set PostgreSQL sslrootcert #497
* Add support to set PostgreSQL application_name #386
* Fixed incorrect link text after clicking on it #509
* Implement ContainerAwareInterface in ProfilerController #505

## 1.6.1 (2015-10-16)

* Fixed issue with Sqlite DB creation

## 1.6.0 (2015-10-04)

* create:database fails, when dbname is set via URL

## 1.5.2 (2015-08-31)

Security:

* Fix Security Misconfiguration Vulnerability, allowing potential local arbitrary code execution.

## 1.5.1 (2015-08-12)

Bugfix:

* Fixed the JS expanding all queries in the profiler in case of multiple connections
* Fixed the retrieval of the namespace in DisconnectedMetadataFactory
* Changed the composer constraint to allow Symfony 3.0 for people wanting to do early testing

## 1.5.0 (2015-05-28)

Features:

* Added the possibility to configure the quote strategy in the configuration
* Improved the rendering of the query explanation for Postgres
* Added support for tagging entity listeners, without the need to map the listener

Bugfix:

* Fixed the serverVersion configuration for master slave connections
* Fixed the enabling of the profiler to avoid automatically enabling the logger
* Fixed the detection of existing databases when quoted names are used
* Fixed the profiler template when having a manager without any loaded metadata

## 1.4.0 (2015-02-28)

Features:

* Added the ``--if-not-exists`` option in the ``doctrine:database:create`` command
* Added the ``--if-exists`` option in  the ``doctrine:database:drop`` command
* Added the support for the ``url`` DBAL setting
* Added profiling ability for SQL Server

Bugfix:

* Fixed the cache configuration when using ``cache_provider``
* Removed usage of deprecated DI features when using Symfony 2.6+
* Close connections and clear managers on shutdown. This avoids leaking connections in tests.
* Added an exception when the ORM layer is configured but not DBAL

## 1.3.0 (2014-11-28)

Features:

* add support for bundle namespace alias in the mapping compiler pass
* Added support for server_version connection parameter
* Added a way to enable auto_mapping option using multiple entity managers

Bugfix:

* Inlined the profiler picto images instead of getting from FrameworkBundle (where they are gone)
* Remove duplicates in the list of mapped entities in the profile
* Fixed the compatibility with PHP 5.3 (broken in 1.3.0-beta1)

## 1.3.0-beta2 (2014-07-09)

Feature:

* add auto-commit DBAL configuration option
* Use DoctrineCacheBundle to create cache drivers, supporting more configuration
* Added sorting by time in DB panel

Bugfix:

* Fixed the compatibility of the DataCollector with Doctrine 2.4 (bug introduced in 1.3.0-beta1)
* Fixed the exit code of commands on failure
* Fixed the replacement of query parameters in the profiler

## 1.3.0-beta1 (2014-01-26)

Features:

* Added option to configure entity listener resolver service
* add compiler pass for bundles to register mappings
* Added a button to expand/collapse all queries in the profiler
* Added configuration for sharding
* Added support for the new ways to generate proxies in Doctrine Common
* Added configuration for the second-level cache

Bugfix:

* Removed deprecated call
* fix drop and create command for connections with master slave configuration
* Remove usage of deprecated Twig features

## 1.2.0 (2013-03-25)

* Bumped the requirement to Symfony 2.2
* Updated the profiler templates for Symfony 2.2

## 1.1.0 (2013-01-12)

* Added syntax highlighting for queries in teh profiler
* Added the validation of the mapping in the profiler panel
* Added return codes for doctrine:database:[create|drop] commands

## 1.0.0 (2012-09-07)

* Removed the mysql charset hack for 5.3.6+ as PDO has been fixed
* Implement "keep_slave"/"keepSlave" configuration
* Added missing Redis cache class mapping.
* Fixed the XSD schema for the configuration.
* Added support for schema assets filter configuration
* integrate naming_strategy into config

## 1.0.0-RC1 (2012-07-04)

* Add support for targetEntity resolving through the ORM 2.2 listener.
* Fixed quote database name in doctrine:database:create and doctrine:database:drop commands
* added a way to use cache services
* Added a way to configure the default entity repository class
* Added the support for SQL filters
* Removed the InfoCommand and proxy the ORM command instead
* Made the ORM fully optional by avoiding breaking the console
* Added support for master_slave connections
* Fixed xml config for proxy parameters
* Fixes doctrine:generate:entities when called with the --path argument
* Added missing Memcached cache driver
* Fix memory leak in Doctrine Autoload Proxy Magic
* adds lazy-loading event manager, improved listener registration
* Added a configuration setting for commented types
* Fixed bug with MetadataFactory having problem when the StaticReflection is used.
* Added the possibility to explain queries in the profiler
* Splitted the configuration for the logging and the profiling of the connection

## 1.0.0-beta1 (2011-12-15)

* [BC break] Changed the namespace from Symfony\Bundle to Doctrine\Bundle
* Enhance error reporting during mapping validation when nested exceptions occur.
* Add DoctrineValidationPass to load validation files conditionally
* Moved the entity provider service to DoctrineBundle
* Added Stopwatch support in debug mode to integrate in the profiler timeline
* Removed the IndexedReader
* Added the implementation of the ManagerRegistry to replace the symfony 2.0 registry
* Added access to Doctrine's ValidateSchema command from the console. See symfony/symfony#2200.
* Extracted the bundle from Symfony 2.0
